[arch-haskell] Handling cabal-install flags

Alessandro Pezzoni alessandro_pezzoni at lavabit.com
Sat Oct 12 07:40:22 UTC 2013

I'm trying to add a pacakage for Yi [1,2] to habs (at least to my
working copy) and I'm facing a dilemma, as it uses some cabal-install
flags to change build-depends and exposed-modules, among other things.
Should I heavily patch the cabal file, e.g. by removing some
conditionals, or is there some proper way to handle this?


[1] https://github.com/yi-editor/yi
[2] http://hackage.haskell.org/package/yi

More information about the arch-haskell mailing list